Skip to main content
`Ctrl`+`K`

# DMPlexReorderCohesiveSupports

Ensure that face supports for cohesive end caps are ordered

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexReorderCohesiveSupports(DM dm)

Not Collective

## Input Parameter

- dm - The `DM` containing cohesive cells

## Note

For the negative size (first) face, the cohesive cell should be first in the support, and for the positive side (second) face, the cohesive cell should be second in the support.

## See Also

`DMPlexConstructCohesiveCells()`, `DMPlexCreateCohesiveSubmesh()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages